package jrummikub.ai.fdsolver;

import static org.junit.Assert.assertEquals;

import java.util.Arrays;

import org.junit.Test;

public class SolverTest {
	@Test
	public void test() {
		Solver solver = new Solver();

		Var<Integer> x = new Var<Integer>(solver, Arrays.asList(1, 2, 3));
		Var<Integer> y = Var.range(solver, 1,13);
		
		Constraints.lessThan(solver, y, x);
				
		while(solver.solve()) {
			solver.push();
			Constraints.lessThan(solver, x, x.getValue());
		}
		solver.pop();
		
		assertEquals(2, (int)x.getValue());
		assertEquals(1, (int)y.getValue());
	}
}
